--- title: "Taskbot Booked Calendly Meeting" slug: "server-api-bot-taskbot-booked-calendly-meeting" updated: 2022-07-11T07:09:40Z published: 2022-07-11T07:09:40Z canonical: "developer.comm100.com/server-api-bot-taskbot-booked-calendly-meeting" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Taskbot Booked Calendly Meeting ## Taskbot Booked Calendly Meeting - `Taskbot Booked Calendly Meetings` - Taskbot Booked Calendly Meetings Manage - `GET bot/taskbotBookedCalendlyMeetings` - [Get the list of Taskbot Booked Calendly Meetings](/docs/server-api-bot-taskbot-booked-calendly-meeting#get-the-list-of-taskbot-booked-calendly-meetings) - `GET bot/taskbotBookedCalendlyMeetings/{id}` - [Get a single Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#get-a-single-taskbot-booked-calendly-meeting) - `POST bot/taskbotBookedCalendlyMeetings` - [Create a new Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#create-a-new-taskbot-booked-calendly-meeting) - `PUT bot/taskbotBookedCalendlyMeetings/{id}` - [Update the Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#update-the-taskbot-booked-calendly-meeting) - `DELETE bot/taskbotBookedCalendlyMeetings/{id}` - [Remove the Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#remove-the-taskbot-booked-calendly-meeting) ### Taskbot Booked Calendly Meeting JSON Format Taskbot Booked Calendly Meeting is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `eventInviteeUri` | string | URL of the event invitee. | | `id` | guid | Id of the current calendly meeting. | | `taskbotId` | guid | Id of the taskbot. | | `chatId` | guid | Id of the chat. | | `ticketId` | guid | Id of the ticket. | | `meetingBookedTime` | datetime | Time of the meeting booked. | | `meetingStartTime` | datetime | Start time of the meeting. | | `meetingDuration` | integer | Duration of the meeting. | | `integrationCalendlyId` | guid | Id of the integration calendly. | | `eventUri` | string | URL of the event. | | `eventType` | string | Type of the event. | | `guests` | string | Guests invited to the meeting. | | `location` | string | Location of the metting. | | `botType` | enum | Allowed values are `taskbot`, `chatbot`. | | `chatbotId` | guid | Id of the chatbot | | `taskbot` | [taskbot](/x2/docs/server-api-bot-task-bot) | Reference to Task Bot. | | `chatbot` | [chatbot](/x2/docs/server-api-bot-chatbot) | Reference to Chatbot. | | `integrationCalendly` | [integrationCalendly](/x2/docs/server-api-livechat-integration-calendly) | Reference to Integration Calendly. | ### Get the list of Taskbot Booked Calendly Meetings `GET bot/taskbotBookedCalendlyMeetings` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `integrationCalendly` | guid | query | no | Id of the integration calendly. | | `meetingBookedTime` | datatime | query | no | Time of the meeting booked. | | `taskbot` | guid | query | no | Id of the taskbot. | | `include` | string | query | no | Allowed values are "taskbot", "chatbot", "integrationCalendly". | - #### Response: An array of [Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#taskbot-booked-calendly-meeting-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/taskbotBookedCalendlyMeetings \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "taskbotBookedCalendlyMeetings": [ { "eventInviteeUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5", "id": "D05382B0-174B-EB11-8100-00155D081D0B", "taskbotId": "D8787636-184B-EB11-8100-00155D081D0B", "chatId": "00000000-0000-0000-0000-000000000000", "ticketId": "00000000-0000-0000-0000-000000000000", "meetingBookedTime": "2021-04-16T10:05:38.7593288Z", "meetingStartTime": "2021-04-16T10:05:38.7593288Z", "meetingDuration": 15, "integrationCalendlyId": "58795F4B-214B-EB11-8100-00155D081D0B", "eventUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q", "eventType": "15 Minute Meeting", "guests": "guest", "location": "beijing", "botType": "0", "chatbotId": "00000000-0000-0000-0000-000000000000", "taskbot": { "latestVersionId": "5842fc45-3154-42da-b657-5a489c96d8b5", "id": "c44fada7-961b-42fd-abac-d080355f6ed6", "name": "chatbot", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "avatar": "https://api11.comm100.io/v4/Bot/taskbots/c44fada7-961b-42fd-abac-d080355f6ed6/avatar" }, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] }, "integrationCalendly": { "isDeleted": false, "calendlyUserName": "ruchenliu@163.com", "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7", "accessToken": "", "refreshToken": "", "name": "ruchenliu@163.com", "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54" } } ], "nextPage": null, "previousPage": null, "total": 1 } ``` ### Get a single Taskbot Booked Calendly Meeting `GET bot/taskbotBookedCalendlyMeetings/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "taskbot", "chatbot", "integrationCalendly". | - #### Response: [Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#taskbot-booked-calendly-meeting-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/taskbotBookedCalendlyMeetings/D05382B0-174B-EB11-8100-00155D081D0B \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "eventInviteeUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5", "id": "D05382B0-174B-EB11-8100-00155D081D0B", "taskbotId": "D8787636-184B-EB11-8100-00155D081D0B", "chatId": "00000000-0000-0000-0000-000000000000", "ticketId": "00000000-0000-0000-0000-000000000000", "meetingBookedTime": "2021-04-16T10:05:38.7593288Z", "meetingStartTime": "2021-04-16T10:05:38.7593288Z", "meetingDuration": 15, "integrationCalendlyId": "58795F4B-214B-EB11-8100-00155D081D0B", "eventUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q", "eventType": "15 Minute Meeting", "guests": "guest", "location": "beijing", "botType": "0", "chatbotId": "00000000-0000-0000-0000-000000000000", "taskbot": { "latestVersionId": "5842fc45-3154-42da-b657-5a489c96d8b5", "id": "c44fada7-961b-42fd-abac-d080355f6ed6", "name": "chatbot", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "avatar": "https://api11.comm100.io/v4/Bot/taskbots/c44fada7-961b-42fd-abac-d080355f6ed6/avatar" }, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] }, "integrationCalendly": { "isDeleted": false, "calendlyUserName": "ruchenliu@163.com", "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7", "accessToken": "", "refreshToken": "", "name": "ruchenliu@163.com", "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54" } } ``` ### Create a new Taskbot Booked Calendly Meeting `POST bot/taskbotBookedCalendlyMeetings` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `eventInviteeUri` | string | body | yes | URL of the event invitee. | | `taskbotId` | guid | body | yes | Id of the taskbot. | | `chatId` | guid | body | yes | Id of the chat. | | `ticketId` | guid | body | no | Id of the ticket. | | `meetingBookedTime` | datetime | body | no | Time of the meeting booked. | | `meetingStartTime` | datetime | body | no | Start time of the meeting. | | `meetingDuration` | integer | body | no | Duration of the meeting. | | `integrationCalendlyId` | guid | body | yes | Id of the integration calendly. | | `eventUri` | string | body | yes | URL of the event. | | `eventType` | string | body | no | Type of the event. | | `guests` | string | body | no | Guests invited to the meeting. | | `location` | string | body | no | Location of the metting. | | `botType` | enum | body | no | Allowed values are `taskbot`, `chatbot`. | | `chatbotId` | guid | body | yes | Id of the chatbot | - #### Response: [Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#taskbot-booked-calendly-meeting-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/taskbotBookedCalendlyMeetings \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"eventInviteeUri":"https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5","taskbotId":"D8787636-184B-EB11-8100-00155D081D0B","chatId":"00000000-0000-0000-0000-000000000000","ticketId":"00000000-0000-0000-0000-000000000000","meetingBookedTime":"2021-04-16T10:05:38.7593288Z","meetingStartTime":"2021-04-16T10:05:38.7593288Z","meetingDuration":15,"integrationCalendlyId":"58795F4B-214B-EB11-8100-00155D081D0B","eventUri":"https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q","eventType":"15 Minute Meeting","guests":"guest","location":"beijing","botType":"0","chatbotId":"00000000-0000-0000-0000-000000000000"}' ``` Response: HTTP/1.1 201 Created ``` { "eventInviteeUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5", "id": "D05382B0-174B-EB11-8100-00155D081D0B", "taskbotId": "D8787636-184B-EB11-8100-00155D081D0B", "chatId": "00000000-0000-0000-0000-000000000000", "ticketId": "00000000-0000-0000-0000-000000000000", "meetingBookedTime": "2021-04-16T10:05:38.7593288Z", "meetingStartTime": "2021-04-16T10:05:38.7593288Z", "meetingDuration": 15, "integrationCalendlyId": "58795F4B-214B-EB11-8100-00155D081D0B", "eventUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q", "eventType": "15 Minute Meeting", "guests": "guest", "location": "beijing", "botType": "0", "chatbotId": "00000000-0000-0000-0000-000000000000", "taskbot": { "latestVersionId": "5842fc45-3154-42da-b657-5a489c96d8b5", "id": "c44fada7-961b-42fd-abac-d080355f6ed6", "name": "chatbot", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "avatar": "https://api11.comm100.io/v4/Bot/taskbots/c44fada7-961b-42fd-abac-d080355f6ed6/avatar" }, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] }, "integrationCalendly": { "isDeleted": false, "calendlyUserName": "ruchenliu@163.com", "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7", "accessToken": "", "refreshToken": "", "name": "ruchenliu@163.com", "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54" } } ``` ### Update the Taskbot Booked Calendly Meeting `PUT bot/taskbotBookedCalendlyMeetings/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `eventInviteeUri` | string | body | yes | URL of the event invitee. | | `taskbotId` | guid | body | yes | Id of the taskbot. | | `chatId` | guid | body | yes | Id of the chat. | | `ticketId` | guid | body | no | Id of the ticket. | | `meetingBookedTime` | datetime | body | no | Time of the meeting booked. | | `meetingStartTime` | datetime | body | no | Start time of the meeting. | | `meetingDuration` | integer | body | no | Duration of the meeting. | | `integrationCalendlyId` | guid | body | yes | Id of the integration calendly. | | `eventUri` | string | body | yes | URL of the event. | | `eventType` | string | body | no | Type of the event. | | `guests` | string | body | no | Guests invited to the meeting. | | `location` | string | body | no | Location of the metting. | | `botType` | enum | body | no | Allowed values are `taskbot`, `chatbot`. | | `chatbotId` | guid | body | yes | Id of the chatbot | - #### Response: [Taskbot Booked Calendly Meeting](/docs/server-api-bot-taskbot-booked-calendly-meeting#taskbot-booked-calendly-meeting-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/taskbotBookedCalendlyMeetings/D05382B0-174B-EB11-8100-00155D081D0B \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"eventInviteeUri":"https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5","taskbotId":"D8787636-184B-EB11-8100-00155D081D0B","chatId":"00000000-0000-0000-0000-000000000000","ticketId":"00000000-0000-0000-0000-000000000000","meetingBookedTime":"2021-04-16T10:05:38.7593288Z","meetingStartTime":"2021-04-16T10:05:38.7593288Z","meetingDuration":15,"integrationCalendlyId":"58795F4B-214B-EB11-8100-00155D081D0B","eventUri":"https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q","eventType":"15 Minute Meeting","guests":"guest","location":"beijing","botType":"0","chatbotId":"00000000-0000-0000-0000-000000000000"}' ``` Response: HTTP/1.1 200 OK ``` { "eventInviteeUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q/invitees/BF436VX6O6QN53C5", "id": "D05382B0-174B-EB11-8100-00155D081D0B", "taskbotId": "D8787636-184B-EB11-8100-00155D081D0B", "chatId": "00000000-0000-0000-0000-000000000000", "ticketId": "00000000-0000-0000-0000-000000000000", "meetingBookedTime": "2021-04-16T10:05:38.7593288Z", "meetingStartTime": "2021-04-16T10:05:38.7593288Z", "meetingDuration": 15, "integrationCalendlyId": "58795F4B-214B-EB11-8100-00155D081D0B", "eventUri": "https://api.calendly.com/scheduled_events/GBYM5HCXJXNPKS3Q", "eventType": "15 Minute Meeting", "guests": "guest", "location": "beijing", "botType": "0", "chatbotId": "00000000-0000-0000-0000-000000000000", "taskbot": { "latestVersionId": "5842fc45-3154-42da-b657-5a489c96d8b5", "id": "c44fada7-961b-42fd-abac-d080355f6ed6", "name": "chatbot", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "avatar": "https://api11.comm100.io/v4/Bot/taskbots/c44fada7-961b-42fd-abac-d080355f6ed6/avatar" }, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] }, "integrationCalendly": { "isDeleted": false, "calendlyUserName": "ruchenliu@163.com", "id": "B62EA95D-BE0A-404E-8098-7147E7F432B7", "accessToken": "", "refreshToken": "", "name": "ruchenliu@163.com", "calendlyUserUri": "https:api.calendly.com/user/AHFGUUED43A5VQ54" } } ``` ### Remove the Taskbot Booked Calendly Meeting `DELETE bot/taskbotBookedCalendlyMeetings/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/taskbotBookedCalendlyMeetings/D05382B0-174B-EB11-8100-00155D081D0B \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content